﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Threading;
using Caliburn.Micro;

namespace TelerikDemo
{
    public class ShellViewModel : Conductor<IScreen>.Collection.OneActive, IHandle<BusyEvent>
    {
        private readonly IEventAggregator _events;
        public Boolean ShellBusy { get; set; }


        public ShellViewModel()
        {
            _events = new EventAggregator();
            _events.Subscribe(this);
            ActivateItem(new HomeViewModel(_events));
        }

        public void Handle(BusyEvent @event)
        {
            //Application.Current.Dispatcher.BeginInvoke(DispatcherPriority.Normal, (System.Action) delegate
            //{
                ShellBusy = @event.IsBusy;
                NotifyOfPropertyChange("ShellBusy");
            //});
        }
    }
}
